View Issue Details

IDProjectCategoryView StatusLast Update
0024205Lazarus-public2013-04-02 02:10
ReporterJohn ShandAssigned ToJesus Reyes 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Platformlinux x86_64OSopensuseOS Version12.3
Product Version1.1 (SVN)Product Build40685 
Target VersionFixed in Version1.1 (SVN) 
Summary0024205: cupsprinters_h.inc(58,12) Fatal: Can't find unit CairoCanvas used by OSPrinters
DescriptionWorking Copy Root Path: /home/jshand/lazarus
URL: http://svn.freepascal.org/svn/lazarus/trunk
Repository Root: http://svn.freepascal.org/svn/lazarus
Repository UUID: 4005530d-fff6-0310-9dd1-cebe43e6787f
Revision: 40685
Node Kind: directory
Schedule: normal
Last Changed Author: jesus
Last Changed Rev: 40685
Last Changed Date: 2013-04-02 09:49:27 +1300 (Tue, 02 Apr 2013)

Working Copy Root Path: /home/jshand/fpc
URL: http://svn.freepascal.org/svn/fpc/trunk
Repository Root: http://svn.freepascal.org/svn/fpc
Repository UUID: 3ad0048d-3df7-0310-abae-a5850022a9f2
Revision: 24120
Node Kind: directory
Schedule: normal
Last Changed Author: florian
Last Changed Rev: 24118
Last Changed Date: 2013-04-02 08:52:46 +1300 (Tue, 02 Apr 2013)

//Problem is found below

Hint: Start of reading config file /etc/fpc.cfg
Hint: End of reading config file /etc/fpc.cfg
Free Pascal Compiler version 2.7.1 [2013/04/02] for x86_64
Copyright (c) 1993-2013 by Florian Klaempfl and others
Target OS: Linux for x86-64
Compiling printer4lazarus.pas
Compiling printersdlgs.pp
Compiling osprinters.pas
Compiling ./unix/cupsdyn.pp
cupsdyn.pp(1069,69) Hint: C arrays are passed by reference
cupsdyn.pp(1070,74) Hint: C arrays are passed by reference
cupsdyn.pp(1071,53) Hint: C arrays are passed by reference
cupsprinters_h.inc(58,12) Fatal: Can't find unit CairoCanvas used by OSPrinters
Fatal: Compilation aborted
make[2]: *** [printer4lazarus.ppu] Error 1
make[2]: Leaving directory `/home/jshand/rpm/BUILD/lazarus-1.1/lazarus/components/printers'
make[1]: *** [bigide] Error 2
make[1]: Leaving directory `/home/jshand/rpm/BUILD/lazarus-1.1/lazarus/components'
make: *** [bigidecomponents] Error 2
error: Bad exit status from /home/jshand/rpm/tmp/rpm-tmp.cr0A0V (%build)


RPM build errors:
    Bad exit status from /home/jshand/rpm/tmp/rpm-tmp.cr0A0V (%build)
jshand@linux-4pni:~/lazarus/tools/install>
Steps To Reproduceuse the ./create_lazarus_rpm.sh file and execute it.
TagsNo tags attached.
Fixed in Revision40693
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Jesus Reyes

2013-04-02 02:10

developer   ~0066708

Please try again

Issue History

Date Modified Username Field Change
2013-04-01 23:05 John Shand New Issue
2013-04-02 02:09 Jesus Reyes Assigned To => Jesus Reyes
2013-04-02 02:09 Jesus Reyes Status new => assigned
2013-04-02 02:10 Jesus Reyes Fixed in Revision => 40693
2013-04-02 02:10 Jesus Reyes LazTarget => -
2013-04-02 02:10 Jesus Reyes Note Added: 0066708
2013-04-02 02:10 Jesus Reyes Status assigned => resolved
2013-04-02 02:10 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-04-02 02:10 Jesus Reyes Resolution open => fixed